org.apache.maven.project

## Class ProjectUtils

- java.lang.Object
- - org.apache.maven.project.ProjectUtils

    public final class ProjectUtils
    extends java.lang.Object

### Method Summary

Methods
`static java.util.List` `buildArtifactRepositories(java.util.List repositories, ArtifactRepositoryFactory artifactRepositoryFactory, PlexusContainer container)`
`static ArtifactRepository` `buildArtifactRepository(Repository repo, ArtifactRepositoryFactory artifactRepositoryFactory, PlexusContainer container)`
`static ArtifactRepository` `buildDeploymentArtifactRepository(DeploymentRepository repo, ArtifactRepositoryFactory artifactRepositoryFactory, PlexusContainer container)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### buildArtifactRepositories

    public static java.util.List buildArtifactRepositories(java.util.List repositories,
                                           ArtifactRepositoryFactory artifactRepositoryFactory,
                                           PlexusContainer container)
                                                    throws InvalidRepositoryException

Throws:
  `InvalidRepositoryException`

#### buildDeploymentArtifactRepository

    public static ArtifactRepository buildDeploymentArtifactRepository(DeploymentRepository repo,
                                                       ArtifactRepositoryFactory artifactRepositoryFactory,
                                                       PlexusContainer container)
                                                                throws InvalidRepositoryException

Throws:
  `InvalidRepositoryException`

#### buildArtifactRepository

    public static ArtifactRepository buildArtifactRepository(Repository repo,
                                             ArtifactRepositoryFactory artifactRepositoryFactory,
                                             PlexusContainer container)
                                                      throws InvalidRepositoryException

Throws:
  `InvalidRepositoryException`